<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: Charts/AxiomFrequencyDistribution.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: Charts/AxiomFrequencyDistribution.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from "react";
import { BarChart, Bar, XAxis, YAxis, CartesianGrid, Tooltip } from "recharts";

/**
 * Creates axiom frequency distribution chart
 *
 * @param {Object} props - includes data to create chart from
 * @returns created chart
 * @component
 * @name AxiomFrequencyDistribution
 */
export default function AxiomFrequencyDistribution(props) {
  const data = [
    {
      name: "10",
      number: props.data.filter((item) => item.axiomCount &lt; 10).length,
    },
    {
      name: "100",
      number: props.data.filter(
        (item) => item.axiomCount >= 10 &amp;&amp; item.axiomCount &lt; 100
      ).length,
    },
    {
      name: "1k",
      number: props.data.filter(
        (item) => item.axiomCount >= 100 &amp;&amp; item.axiomCount &lt; 1000
      ).length,
    },
    {
      name: "10k",
      number: props.data.filter(
        (item) => item.axiomCount >= 1000 &amp;&amp; item.axiomCount &lt; 10000
      ).length,
    },
    {
      name: "100k",
      number: props.data.filter(
        (item) => item.axiomCount >= 10000 &amp;&amp; item.axiomCount &lt; 100000
      ).length,
    },
    {
      name: "1M",
      number: props.data.filter((item) => item.axiomCount >= 100000).length,
    },
  ];

  return (
    &lt;>
      &lt;div style={{ fontSize: "12px", marginLeft: "10px" }}>
        &lt;h3 style={{ marginTop: 0, padding: 0 }}>
          Axiom frequency distribution
        &lt;/h3>
        &lt;h4>X axis:Axiom frequency&lt;/h4>
        &lt;h4>Y axis:number of ontologies&lt;/h4>
      &lt;/div>
      &lt;BarChart
        width={800}
        height={400}
        data={data}
        margin={{
          top: 5,
          right: 30,
          left: 0,
          bottom: 5,
        }}
      >
        &lt;CartesianGrid strokeDasharray="3 3" />
        &lt;XAxis dataKey="name" interval={0} />
        &lt;YAxis />
        &lt;Tooltip />
        &lt;Bar dataKey="number" fill="#82ca9d" />
      &lt;/BarChart>
      &lt;div style={{ fontSize: "12px", marginLeft: "10px" }}>
        Legend: 1k=1,000; 1M=1,000,000
      &lt;/div>
    &lt;/>
  );
}
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
